Add Price & Landed Cost lists
Creates a new price list and a new landed cost list for the specified products
POST/https://europe-west1-mpower-apps-production.cloudfunctions.net/api-products-price-and-landed-costs-lists
Headers
Content-Type
application/json
string
x-api-key
<API_KEY>
string
Body Parameters
price_list_info.market_id
Required, not empty.
ABC
string
price_list_info.currency_iso
Required 3-letter code. Normalized to uppercase.
EUR
string
price_list_info.date
Required strict MM/YYYY format, with month between 01 and 12.
06/2026
string
price_list_info.name
Required, not empty.
Some name for the price list
string
products
Required, not empty, indexed by product ID.
{ product_id: ... }
Record<string, ProductPrices>
products.*.price
Required finite number greater than or equal to 0.
100
number
products.*.landed_cost_price
Required finite number greater than or equal to 0. Extra properties are not accepted in validated objects.
120
number
cURL
curl -i \
-X POST \
-H "Content-Type: application/json" \
-H "x-api-key: <API_KEY>" \
-d '{
"price_list_info": {
"market_id": "ABC",
"currency_iso": "EUR",
"date": "06/2026",
"name": "Some name for the price list"
},
"products": {
"product_id": {
"price": 100,
"landed_cost_price": 120
}
}
}' \
https://europe-west1-mpower-apps-production.cloudfunctions.net/api-products-price-and-landed-costs-listsResponse
{
"success": true,
"message": "Payload is valid",
"products_count": 1
}